#!/bin/bash
set -e
umask 077
private="$(wg genkey)"
exec 3<>/dev/tcp/demo.wireguard.com/42912
wg pubkey <<<"$private" >&3
IFS=: read -r status server_pubkey server_port internal_ip <&3
[[ $status == OK ]]
cat <<-_EOF
	[Interface]
	Address = $internal_ip/32
	PrivateKey = $private
	DNS = 8.8.8.8, 8.8.4.4

	[Peer]
	PublicKey = $server_pubkey
	Endpoint = demo.wireguard.com:$server_port
	AllowedIPs = 0.0.0.0/0
_EOF
